DummyPredictor Class Reference

`#include <dummyPredictor.h>`

Inheritance diagram for DummyPredictor:
Collaboration diagram for DummyPredictor:

## Public Member Functions

| DummyPredictor (Configuration *, ContextTracker *, const char *)
| ~DummyPredictor ()
virtual Prediction | predict (const size_t size, const char **filter) const
| Generate prediction.
virtual void | learn (const std::vector< std::string > &change)
Public Member Functions inherited from Predictor
| Predictor (Configuration *configuration, ContextTracker *contextTracker, const char *predictorName="Predictor", const char *shortDescription="", const char *longDescription="")
virtual | ~Predictor ()
const std::string | getName () const
const std::string | getShortDescription () const
const std::string | getLongDescription () const

## Additional Inherited Members

Protected Member Functions inherited from Predictor
virtual bool | token_satisfies_filter (const std::string &token, const std::string &prefix, const char **filter) const
virtual void | set_logger (const std::string &level)
Protected Attributes inherited from Predictor
const std::string | name
const std::string | shortDescription
const std::string | longDescription
const std::string | PREDICTORS
ContextTracker * | contextTracker
Configuration * | configuration
Logger< char > | logger

## Detailed Description

Dummy predictor is provided here to show how to implement real predictors.

Definition at line 34 of file dummyPredictor.h.

## Constructor & Destructor Documentation

## DummyPredictor()

DummyPredictor::DummyPredictor | ( | Configuration * | config,
|  | ContextTracker * | ct,
|  | const char * | name )

Definition at line 28 of file dummyPredictor.cpp.

References config, Predictor::name, and Predictor::Predictor().

Here is the call graph for this function:

## ~DummyPredictor()

DummyPredictor::~DummyPredictor | ( |  | ) |

Definition at line 38 of file dummyPredictor.cpp.

## Member Function Documentation

## learn()

void DummyPredictor::learn | ( | const std::vector< std::string > & | change | ) |

virtual

Implements Predictor.

Definition at line 73 of file dummyPredictor.cpp.

## predict()

Prediction DummyPredictor::predict | ( | const size_t | size,
|  | const char ** | filter ) const

virtual

Generate prediction.

Parameters

  size | desired prediction size
  filter | filter

Implements Predictor.

Definition at line 41 of file dummyPredictor.cpp.

References Prediction::addSuggestion().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /build/presage-XwIsB9/presage-0.9.1/src/lib/predictors/dummyPredictor.h
- /build/presage-XwIsB9/presage-0.9.1/src/lib/predictors/dummyPredictor.cpp